"""
URL configuration for alkator project.

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/4.2/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.contrib import admin
from django.urls import path
from alkatorapi.views import (
    register_user, register_racer,
    login, logout,
    results, photos,
    payment_result, payment_state,
    invoice, upload_files,
    login_status,
)

urlpatterns = [
    path('admin/', admin.site.urls),
    path('api/register_user', register_user),
    path('api/register_racer', register_racer),
    path('api/login', login),
    path('api/login_status', login_status),
    path('api/logout', logout),
    #path('api/register', register),
    path('api/results', results),
    path('api/photos', photos),
    path('api/payment_result', payment_result),
    path('api/payment_state', payment_state),
    path('api/invoice', invoice),
    path('api/upload_files', upload_files),
]
